Package twisted :: Package spread :: Module pb :: Class IdentityWrapper

[show private | hide private]
[frames | no frames]

## Class IdentityWrapper

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       IdentityWrapper

I delegate most functionality to a `twisted.cred.identity.Identity`.

Method Summary
| ``__init__`(self, broker, identity)` Initialize, specifying an identity to wrap.
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remote_attach`(self, serviceName, perspectiveName, remoteRef)` Attach the remote reference to a requested perspective.
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)
| `_attached(self, perspective, remoteRef)`

Method Details

### __init__(self, broker, identity)
(Constructor)

Initialize, specifying an identity to wrap.

### remote_attach(self, serviceName, perspectiveName, remoteRef)

Attach the remote reference to a requested perspective.

Generated by Epydoc 1.1 on Sat Feb 15 21:19:24 2003 | http://epydoc.sf.net